echo on

set path=%path%;j:\tools\utils\csvn\bin\
set REPO=http://svn.ebmpapst-hs.nl/svn/avProduct/850/LabVisionPN/Branches/10.4.207.x
rem set REPO=http://svn.ebmpapst-hs.nl/svn/avProduct/850/LabVisionPN/Tags/10.4.207.0
set DIR=..\Setup
set NAME=Labvision
set LABVISION="J:\WORK\764\DiagnosticTools\LabVision\Releases\LabVision_8.0.1.0"

svn info "%REPO%" > info.txt
copy J:\TOOLS\Extract\SvnVersion.exe SvnVersion.exe
SvnVersion "info.txt" > OUTPUT
set /P REVISION=<OUTPUT
del SvnVersion.exe
del info.txt
del OUTPUT

copy J:\TOOLS\Extract\_GenericLabvisionExport.bat GenericLabvisionExport.bat
CALL GenericLabvisionExport.bat %LABVISION% %REPO% %DIR%
del GenericLabvisionExport.bat

copy J:\TOOLS\Extract\_GenericZipit.bat GenericZipit.bat
CALL GenericZipit.bat %NAME% %REVISION% %DIR%
del GenericZipit.bat

pause